package com.fuyuanshen.app.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;


/**
 * @author: 默苍璃
 * @date: 2025-06-1818:36
 */
@Data
public class APPUnbindDTO {

    // @NotBlank(message = "设备MAC不能为空")
    @Schema(name = "设备MAC", required = true)
    private String deviceMac;

    @Schema(name = "设备IMEI")
    private String deviceImei;

    @NotNull(message = "客户号不能为空")
    @Schema(name = "客户号")
    private Long customerId;

}
